|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Resource Compiler (rcc)

The `rcc` tool is used to embed resources into a Qt application during the build process. It works by generating a C++ source file containing data specified in a Qt resource (.qrc) file.

Usage:

        rcc [options] <inputs>

RCC accepts the following command line options:

Option | Argument | Description
--- | --- | ---
`-o` |  | Write output to file rather than stdout
`-name` | `name` | Create an external initialization function with name
`-threshold` | `level` | Threshold to consider compressing files
`-compress` | `level` | Compress input files by level
`-root` | `path` | Prefix resource access path with root path
`-no-compress` |  | Disable all compression
`-version` |  | Display version
`-help` |  | Display usage information

See also The Qt Resource System for more information about embedding resources in Qt applications.